/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <June 11, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, #000000b8);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
.slider-info {
    min-height: fit-content;
	background-color: var(--color-primary-background);
}
/* CTA */
	/**/
/* Welcome */
	/**/
#welcome-wrap.style-1 .module-22 .ry-right .content-wrap p {
    text-align: center !important;
}

#welcome-wrap.style-1 {
    padding-bottom: 15vw;
}

#welcome-wrap.style-1 .svg-background .cls-1 {
    fill: var(--color-secondary-background);
}
/* Services */
	/**/
.module-services.style-10:before {
    background: transparent;
}

.module-services.style-10 .ry-flex .ry-each .services-details p {
    color: #666;
}

.module-services.style-10 .ry-flex .ry-each .services-details h4 {
    color: #374151;
}

.module-services.style-10 {
    padding: 7vw 0;
    background-position: center center;
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.testimonials-swiper .swiper-slide {
    background: var(--color-secondary-background);
    border-radius: 0;
}

.testimonials-swiper .swiper-slide:nth-child(even) {
    background: var(--color-primary-background);
}

.testimonials-swiper .swiper-slide p{
    color: var(--color-primary-text);
}
.module-services.style-10 .ry-flex .ry-inner-flex .ry-each {
    border-radius: 15px;
    overflow: hidden;
}

#section-hp-team .button-wrapper {
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-wrap: wrap;
}

#section-hp-team .button-wrapper .ry-btn {
    margin-left: 0;
    margin-right: 0;
}

#section-hp-team .swiper-pagination-bullet-active {
    position: relative;
}
/* Footer */
	/**/
/*Media Queries*/
	/**/

@media (max-width: 1720px) and (min-width: 1025px) {
	.module-services.style-10 .ry-flex > .ry-each:nth-child(2) {
		padding-left: 0;
	}

	.module-services.style-10 .ry-flex {
		margin-right: 0 !important;
		width: auto;
	}
}
@media (min-width: 768px) {
    .slider-info-center-bottom {
        bottom: 5%;
    }
}
@media (min-width:1201px){
    .module-services.style-10 .custom-headline h2,
    .module-services.style-10 .custom-headline h2 .span-1 {
        text-align: left !important;
    }
}

@media (max-width:1024px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
/* End - HP Edits*/

#navigation .bg-primary-background {
    background-color: #fff !important;
}

body[data-page-name="brands-we-carry"] #hp-brands-6::before {
	display: none;
}

.list-3 ul p {
		margin: 0;
	}
@media (min-width: 620px) {
	.list-3 ul {
		column-count: 3;
	}
}